Page MenuHomePhabricator

[Story] Refactor Add-/Remove-Toolbar
Closed, ResolvedPublic

Description

This will refactor code from the toolbar controllers to the views and factory.
The goal is to unify and reuse code for all views and store view specific logic within the views.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2016, 10:20 AM
thiemowmde triaged this task as High priority.Aug 16 2016, 1:10 PM
thiemowmde moved this task from Proposed to Backlog on the Wikidata-Sprint-2016-08-16 board.
Jonas updated the task description. (Show Details)
Jonas updated the task description. (Show Details)Aug 19 2016, 2:38 PM
Jonas updated the task description. (Show Details)Aug 19 2016, 2:59 PM

Change 307757 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix mistake in ControllerViewFactory

https://gerrit.wikimedia.org/r/307757

Change 307757 merged by jenkins-bot:
Fix mistake in ControllerViewFactory

https://gerrit.wikimedia.org/r/307757

Jonas updated the task description. (Show Details)Sep 5 2016, 8:00 AM
Jonas updated the task description. (Show Details)Sep 5 2016, 8:14 AM
Jonas closed this task as Resolved.Sep 6 2016, 8:50 AM
Jonas updated the task description. (Show Details)
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-08-30 board.